%define major		5
%define gir_major	3.0
%define libname		%mklibname %{name} %{major}
%define girname		%mklibname %{name}-gir %{gir_major}

Name:		rhythmbox
Summary:	Music Management Application 
Version:	2.96
%define subrel	1
Release:	%mkrel 1
License:	GPLv2+ with exception
Group:		Sound
Source0:	http://ftp.gnome.org/pub/GNOME/sources/rhythmbox/%{version}/%{name}-%{version}.tar.xz
Patch0:		rb-context-mkdtemp.patch

# wally: disable artdisplay plugin by default as it causes a crash
Patch10:	rhythmbox-disable-artdisplay-plugin.patch

URL:		http://www.gnome.org/projects/rhythmbox/
BuildRequires:	pkgconfig(avahi-client) >= 0.6
BuildRequires:	pkgconfig(avahi-glib) >= 0.6
BuildRequires:	pkgconfig(clutter-1.0) >= 1.2
BuildRequires:	pkgconfig(clutter-gst-1.0) >= 1.0
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 1.0
BuildRequires:	pkgconfig(clutter-x11-1.0) >= 1.2
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.18.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.26.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.10.0
BuildRequires:	pkgconfig(grilo-0.1) >= 0.1.17
BuildRequires:	pkgconfig(gstreamer-0.10) >= 0.10.32
BuildRequires:	pkgconfig(gstreamer-base-0.10) >= 0.10.32
BuildRequires:	pkgconfig(gstreamer-cdda-0.10)
BuildRequires:	pkgconfig(gstreamer-interfaces-0.10) >= 0.10.32
BuildRequires:	pkgconfig(gstreamer-pbutils-0.10) >= 0.10.32
BuildRequires:	pkgconfig(gstreamer-plugins-base-0.10) >= 0.10.32
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.2.0
BuildRequires:	pkgconfig(gudev-1.0) >= 143
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libbrasero-media3) >= 2.31.5
BuildRequires:	pkgconfig(libdmapsharing-3.0) >= 2.9.11
BuildRequires:	pkgconfig(libgnome-media-profiles-3.0)
BuildRequires:	pkgconfig(libgpod-1.0) >= 0.6
BuildRequires:	pkgconfig(libmtp) >= 0.3.0
BuildRequires:	pkgconfig(libmusicbrainz3) >= 3.0.2
BuildRequires:	pkgconfig(libnotify) >= 0.7.0
BuildRequires:	pkgconfig(libpeas-1.0) >= 0.7.3
BuildRequires:	pkgconfig(libpeas-gtk-1.0) >= 0.7.3
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.26.0
BuildRequires:	pkgconfig(libsoup-gnome-2.4) >= 2.26.0
BuildRequires:	pkgconfig(mx-1.0) >= 1.0.1
BuildRequires:	pkgconfig(pygobject-3.0) >= 2.90.2
BuildRequires:	pkgconfig(tdb) >= 1.2.6
BuildRequires:	pkgconfig(totem-plparser) >= 2.32.1
BuildRequires:	pkgconfig(webkitgtk-3.0) >= 1.3.9
BuildRequires:	vala >= 0.9.4
BuildRequires:	gtk-doc
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils
BuildRequires:	desktop-file-utils

Requires:	gstreamer0.10-plugins-base
Requires:	gstreamer0.10-plugins-good
RequireS:	gstreamer0.10-plugins-ugly
Requires:	gstreamer0.10-soup
Requires:	gstreamer0.10-flac >= 0.10.0
Requires:	dbus-x11
Suggests:	media-player-info
Suggests:	grilo-plugins
Requires(post):		scrollkeeper
Requires(postun):	scrollkeeper

%description
Music Management application with support for ripping audio-cd's,
playback of Ogg Vorbis and Mp3 and burning of CD-Rs.

%package -n %{libname}
Group:		System/Libraries
Summary:	Shared library part of %{name}

%description -n %{libname}
Music Management application with support for ripping audio-cd's,
playback of Ogg Vorbis and Mp3 and burning of CD-Rs.

This is the shared library part of %{name}.

%package mozilla
Group:		Sound
Summary:	Rhythmbox integration for Mozilla Firefox
Requires:	%{name} = %{version}-%{release}

%description mozilla
This plugin integates Rhythmbox with Mozilla and compatible
browsers. It provides a handler for itms:// Links to Apples iTunes
Music Store.

%package devel
Group:		Development/C
Summary:	Rhythmbox plugin development files
Requires:	%{libname} = %{version}-%{release}

%description devel
Install this if you want to build Rhythmbox plugins.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%patch0 -p1 -b .CVE-2012-3355
%patch10 -p1 -b .disable-artdisplay

%build
%configure2_5x \
	--with-mdns=avahi \
	--with-gnome-keyring \
	--enable-daap \
	--enable-gtk-doc \
	--disable-vala \
	--disable-static

%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std _ENABLE_SK=false

%find_lang %{name} --with-gnome
for omf in %{buildroot}%{_datadir}/omf/*/*{-??.omf,-??_??.omf};do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%{buildroot}!!)" >> %{name}.lang
done

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Audio;Player" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

find %{buildroot} -name "*.la" -exec rm -rf {} \;

# save space by linking identical images in translated docs
helpdir=%{buildroot}%{_datadir}/gnome/help/%{name}
for f in $helpdir/C/figures/*.png; do
  b="$(basename $f)"
  for d in $helpdir/*; do
    if [ -d "$d" -a "$d" != "$helpdir/C" ]; then
      g="$d/figures/$b"
      if [ -f "$g" ]; then
        if cmp -s $f $g; then
          rm "$g"; ln -s "../../C/figures/$b" "$g"
        fi
      fi
    fi
  done
done

%files -f %{name}.lang
%doc AUTHORS COPYING README NEWS
%doc %{_datadir}/gtk-doc/html/%{name}
%{_bindir}/rhythmbox
%{_bindir}/rhythmbox-client
%{_mandir}/man1/*.1*
%{_datadir}/applications/rhythmbox.desktop
%{_datadir}/applications/rhythmbox-device.desktop
%{_datadir}/icons/hicolor/*/apps/rhythmbox*
%{_datadir}/icons/hicolor/*/places/music-library.*
%{_datadir}/rhythmbox
%{_datadir}/dbus-1/services/org.gnome.Rhythmbox3.service
%{_datadir}/glib-2.0/schemas/*.xml
%dir %_datadir/omf/rhythmbox/
%{_datadir}/omf/rhythmbox/rhythmbox-C.omf
%{_libexecdir}/rhythmbox-metadata
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/artdisplay
%{_libdir}/%{name}/plugins/artsearch
%{_libdir}/%{name}/plugins/audiocd
%{_libdir}/%{name}/plugins/audioscrobbler
%{_libdir}/%{name}/plugins/cd-recorder
%{_libdir}/%{name}/plugins/context
%{_libdir}/%{name}/plugins/daap
%{_libdir}/%{name}/plugins/dbus-media-server
%{_libdir}/%{name}/plugins/fmradio
%{_libdir}/%{name}/plugins/generic-player
%{_libdir}/%{name}/plugins/grilo
%{_libdir}/%{name}/plugins/im-status
%{_libdir}/%{name}/plugins/ipod
%{_libdir}/%{name}/plugins/iradio
%{_libdir}/%{name}/plugins/lyrics
%{_libdir}/%{name}/plugins/magnatune
%{_libdir}/%{name}/plugins/mmkeys
%{_libdir}/%{name}/plugins/mpris
%{_libdir}/%{name}/plugins/mtpdevice
%{_libdir}/%{name}/plugins/notification
%{_libdir}/%{name}/plugins/power-manager
%{_libdir}/%{name}/plugins/python-console
%{_libdir}/%{name}/plugins/rb
%{_libdir}/%{name}/plugins/rbzeitgeist
%{_libdir}/%{name}/plugins/replaygain
%{_libdir}/%{name}/plugins/sendto
%{_libdir}/%{name}/plugins/visualizer

%files -n %{libname}
%{_libdir}/librhythmbox-core.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/MPID-%{gir_major}.typelib
%{_libdir}/girepository-1.0/RB-%{gir_major}.typelib

%files mozilla
%{_libdir}/mozilla/plugins/librhythmbox-itms-detection-plugin.so

%files devel
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/MPID-%{gir_major}.gir
%{_datadir}/gir-1.0/RB-%{gir_major}.gir


%changelog

* Fri Jul 13 2012 luigiwalser <luigiwalser> 2.96-1.1.mga2
+ Revision: 270629
- add upstream patch to fix CVE-2012-3355

  + fwang <fwang>
    - bump req
    - magnatune plugin goes back

  + ovitters <ovitters>
    - new version 2.96
    - update patch10 (disable artdisplay plugin)

* Tue Feb 14 2012 ovitters <ovitters> 2.95-3.mga2
+ Revision: 208806
- clean spec

* Sun Jan 15 2012 wally <wally> 2.95-2.mga2
+ Revision: 196376
- drop radio station customizations as they don't work anymore
- fix gir pkg requires

* Sun Jan 15 2012 fwang <fwang> 2.95-1.mga2
+ Revision: 196366
- update file list
- update libmjaor
- new version 2.95
- br tdb

* Thu Nov 24 2011 fwang <fwang> 2.90.1-0.20111117.2.mga2
+ Revision: 171631
- rebuild for new clutter

* Sun Nov 20 2011 fwang <fwang> 2.90.1-0.20111117.1.mga2
+ Revision: 169862
- magnatune: temporarily disable this plugin
- fix header list in doc
- new snapshot
- suggests grilo plugins

* Fri Oct 07 2011 fwang <fwang> 2.90.1-0.20111004.2.mga2
+ Revision: 152579
- provide .so file in devel package

* Tue Oct 04 2011 fwang <fwang> 2.90.1-0.20111004.1.mga2
+ Revision: 151497
- update file list
- update file list
- new snpshot
- br desktop-file-utils
- br vala
- conver to pkgconfig style br
- cleanup requires for pygtk2

* Wed Sep 07 2011 wally <wally> 2.90.1-0.20110907.2.mga2
+ Revision: 140942
- disable artdisplay plugin by default as it causes a crash

* Wed Sep 07 2011 wally <wally> 2.90.1-0.20110907.1.mga2
+ Revision: 140912
- sync with latest git code
- split out gir .typelibs to own subpackage
- disable static build
- clean .spec

* Sun Jul 17 2011 fwang <fwang> 2.90.1-0.20110613.2.mga2
+ Revision: 125201
- rebuild for new libmtp

* Thu Jun 16 2011 pterjan <pterjan> 2.90.1-0.20110613.1.mga2
+ Revision: 108530
- Update to git master
- Disable vala, the sample plugin is not buildable
- Update buildrequires for gnome-media-profiles

  + dmorgan <dmorgan>
    - Fix buildrequires
    - Adapt buildrequires to libgnome-media-profiles
    - Rebuild against new libgnome-media-profiles

* Tue Jun 14 2011 dmorgan <dmorgan> 0.13.3-7.mga2
+ Revision: 106171
- Fix file list
- Add libproxy-devel as buildRequire
- Rebuild against new brasero

  + ahmad <ahmad>
    - Rebuild against libnotify-0.7

* Sat Apr 09 2011 ahmad <ahmad> 0.13.3-5.mga1
+ Revision: 82511
- disable the check, it fails on the BS
- drop some redundant BR
- re-enable the checks, it seems to work now
- drop *gnomevfs* requires:
  c.f. https://bugzilla.gnome.org/show_bug.cgi?id=604186
- add requires on gvfs; and suggest gvfs-iphone for iphone support
- require gnome-python-gnomekeyring, no sense in suggesting it while e.g.
  gnome-python-gconf is required (both are used for the Magnatunes plugin)
- make the upnp sub-package require python-twisted (Fedora)
- only suggest gnome-python-gnomekeyring

* Wed Apr 06 2011 ahmad <ahmad> 0.13.3-3.mga1
+ Revision: 81462
- require gnome-python-gnomekeyring for the Magnatunre plugin to work
- require gstreamer0.10-soup to be able to play online https radio streams

* Thu Mar 24 2011 boklm <boklm> 0.13.3-2.mga1
+ Revision: 76204
- rebuild for bug #497

* Sat Feb 26 2011 ennael <ennael> 0.13.3-1.mga1
+ Revision: 60050
- clean spec file
- imported package rhythmbox

